質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.58%

Tensorflowのインストールでエラー

解決済

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 10K+

score 15

Tensorflowをインストールしたいと思います。
まず
Anaconda3-5.2.0-Windows-x86_64.exe
にてアナコンダをインストールしました。
pythonは3.6.5です。

windows10 64bit環境です

Anaconda promptで
pip install --upgrade tensorflow
を実行しましたがエラーがでます。

distributed 1.21.8 requires msgpack, which is not installed.
tensorboard 1.14.0 has requirement setuptools>=41.0.0, but you'll have setuptools 39.1.0 which is incompatible.
Installing collected packages: termcolor, wrapt, tensorflow-estimator, protobuf, gast, numpy, keras-applications, google-pasta, absl-py, grpcio, markdown, tensorboard, keras-preprocessing, astor, tensorflow
Found existing installation: wrapt 1.10.11
Cannot uninstall 'wrapt'. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.
You are using pip version 10.0.1, however version 19.2.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

先日はanacondaよりtensorflowをインストールできなかったのでpipを利用して実行しました。

ご教示いただければと思います。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

check解決した方法

0

何とか解決できました。
https://www.sejuku.net/blog/43784を参考にしながら
anaconda再・・・インストール後

anaconda promotにて

1 pip install tensorflow
2 conda install wrapt
3 pip install --upgrade tensorflow

5月に再インストールしたときはすんなりいきましたが
今回は同一環境なのになぜというところあり時間かかりました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/08/03 17:23

    解決したようでなによりです。

    1点、気になったので。
    同じ環境に「conda」と「pip」でモジュールのインポートをしない方が良いです。

    今回のようにpipでしな入らないものがあるときは、全部pipでインストールします。
    両方使うとモジュールのバージョン管理がおかしなことになることがあります。

    ご存知でしたら失礼しました。

    キャンセル

  • 2019/08/03 17:30

    ありがとうございます。
    知りませんでした。

    環境構築の難しさ改めて感じました。

    キャンセル

0

下記サイトを参考にcpu版tensorflowをインストールしてみました。(Windows8.1、Anaconda(Python 3.6))

https://www.sejuku.net/blog/43784

問題なくインストールできました。

Anacondaからインストールできなかったとのことですが、何故できなかったのでしょうか?
何かエラーが出ましたか? 【追記】※Anacondaでインストール:Anacondaで仮想環境を作って、pipでインストールの意

【追記】
今回のpip installは「wrapt 1.10.11」のアンインストールが出来なくてコケているようですね。
私が先ほどtensorflowをインストールしたものには「wrapt 1.11.1」をインストールしていました。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/08/03 13:59

    ありがとうございます。
    https://www.sejuku.net/blog/43784の手順に沿って行いました。
    うまくいったと思ったのですが、

    import tensorflow as tf
    hello = tf.constant('Hello, TensorFlow!')
    sess = tf.Session()
    print(sess.run(hello))

    ImportError Traceback (most recent call last)
    ImportError: DLL load failed: 指定されたモジュールが見つかりません。

    During handling of the above exception, another exception occurred:

    ImportError Traceback (most recent call last)
    <ipython-input-1-25b92e4d5dec> in <module>()
    ----> 1 import tensorflow as tf
    となります。

    wrapt 1.10.11」のアンインストールできない問題だと再度、
    pip install --upgrade tensorflow
    で確認したところ
    Found existing installation: wrapt 1.10.11
    ERROR: Cannot uninstall 'wrapt'. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.

    となります。
    「wrapt 1.10.11」のアンインストールできればと思うのですが
    どうすべきかご教示いただければと思います。

    キャンセル

  • 2019/08/03 16:07 編集

    tensorflowのインストールはPCの環境によって色々トラブルがあるようですね。

    エラーメッセージをネット検索するとヒントが見つかるかと思います。

    キャンセル

  • 2019/08/03 16:18 編集

    meg様
    ありがとうございます。
    pip install msgpack
    pip install msgpack-python
    でインストールとありました
    このコマンドでanaconda promptよりインストールしましたが私の理解不足でしょうか。

    キャンセル

0

msgpackgがないようです。

distributed 1.21.8 requires msgpack, which is not installed.

下記ページが参考になりそうでした。
https://www.lisz-works.com/entry/pip-err-msgpack-not-installed

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.58%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る